# ditty
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

Audio player

## Features

- Uses a small amount of resources
- Files are read in chunks
- Remembers playing song and queue on exit
- Supports FLAC, MP3, OGG and WAV files

## Screenshot

[![](https://ditty.rocketnine.space/static/screenshot2.png)](https://ditty.rocketnine.space/static/screenshot2.png)

## Demo

If you are running Linux with ALSA, you can try ditty without installing:

```ssh -q ditty.rocketnine.space -p 20020 2> >(aplay --quiet)```

If you can't hear anything, you may need to specify which device ```aplay```
should use with ```-D```.

To list available sound devices, execute ```aplay -l```.

## Install

Choose one of the following methods:

### Download

[**Download ditty**](https://ditty.rocketnine.space/download/?sort=name&order=desc)

### Compile

```go get code.rocketnine.space/tslocum/ditty```

## Dependencies

* [faiface/beep](https://github.com/faiface/beep)
* [hajimehoshi/oto](https://github.com/hajimehoshi/oto)
* [mewkiz/flac](https://github.com/mewkiz/flac)
* [hajimehoshi/go-mp3](https://github.com/hajimehoshi/go-mp3)
* [jfreymuth/oggvorbis](https://github.com/jfreymuth/oggvorbis)
* [tslocum/cview](https://code.rocketnine.space/tslocum/cview)

## Documentation

See [CONFIGURATION.md](https://code.rocketnine.space/tslocum/ditty/src/branch/master/CONFIGURATION.md) for default keybindings.

## Support

Please share issues and suggestions [here](https://code.rocketnine.space/tslocum/ditty/issues).
